#include <iostream>
#include <vector>
#include <cstdio>
#include <cstring>
using namespace std;

#define TASK "droids"

typedef long long ll;
const int N = 1e5 + 10;
int n, m;
char robots[N], commands[N];

int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    scanf("%d%d%s%s", &n, &m, robots, commands);
    vector<int> ans;
    for (int i = 0; i < n; ++i)
        if (robots[i] == 'D') {
            int pos = i;
            bool fail = false;
            for (int j = 0; j < m; ++j) {
                if (commands[j] == 'L') --pos;
                else ++pos;
                if (pos < 0 || pos >= n || robots[pos] == '#') {
                    fail = true;
                    break;
                }
            }
            if (!fail) ans.push_back(i + 1);
        }
    cout << ans.size() << endl;
    for (int i = 0; i < ans.size(); ++i)
        printf("%d ", ans[i]);
    return 0;
}

